// *** Course compact ***
//=================

// ** Wrap
//========================================================================================
.course-compact-wrap {
	@include td-make-xs-column(12, 15px);
	padding-bottom: 50px;

	@media (min-width: $screen-xsm) {
		@include td-make-xs-column(12, 50px);
		@include td-make-md-column(6, 50px);
		@include td-make-lg-column(4, 50px);
	}
}

// For backwards compatibility, an exception for the user profile
.profile-courselist .course-compact-wrap {
	@media (min-width: $screen-xsm) {
		@include td-make-xs-column(6, 50px);
	}
}

// ** Compact
//========================================================================================

.alert-archived {
	@include alert-variant(
		$archived-color,
		darken($archived-color, 5%),
		darken($archived-color, 60%)
	);
}

.course-compact {
	border-color: $course-border-color;
	border-style: solid;
	border-width: $course-border-width;
	position: relative;
	transition-duration: 0.1s;
	transition-property: #{'box-shadow opacity'};

	background: $body-bg;

	&:hover {
		box-shadow: $shadow-lg-offset-x $shadow-lg-offset-y $shadow-lg-blur $default-shadow;
	}

	&.is-proposal {
		border-style: $proposal-border-style;
	}

	&.has-past-events {
		border-style: $has-past-events-border-style;
	}

	&.has-upcoming-events {
		background: $has-upcoming-events-bg;
	}

	&.is-archived {
		border-color: $archived-color;
	}

	&.filter-no-match,
	&.filter-no-match-delayed {
		transition-duration: 0.25s;
		transition-property: opacity;
	}

	&.filter-no-match-delayed {
		transition-delay: 0.3s;
	}
}

.course-compact-inner-wrap {
	border: $course-border-width solid $white;
	height: 100%;
	width: 100%;
	background-size: cover;
}

// ** Content
//========================================================================================

.course-compact-content-wrapper {
	align-items: flex-end;

	display: flex;
	width: 100%;
	padding: 0;

	font-weight: bolder;
	position: absolute;
	left: 0;
	bottom: 0;
	background-color: rgba(255, 255, 255, 0.8);
}

.course-compact-content {
	min-width: 0;
	flex: 1;

	display: flex;
	flex-flow: column;

	font-weight: bolder;
}

.has-upcoming-events > .course-compact-content {
	@include td-make-xs-column(7.5);
	@include td-padding-all(0, 5px, 0, 15px);
	background: transparent;
}

// ** Title
//========================================================================================
.course-compact-title {
	@include ellipsis-multiline(2);

	flex-basis: 100%;

	color: darken($blue, 10%);
	font-size: 17px;
	line-height: 24px;
	margin: 5px;
	max-height: 60px;
	max-width: 90%;
}

//** Description
//========================================================================================
.course-compact-description {
	@include ellipsis-multiline(2);
	margin: 0 5px 5px 5px;

	font-size: 11px;
	font-weight: lighter;

	min-height: 2 * 1em * 1.5;
}

// ** Internal indicator dot
//========================================================================================
.course-compact-internal {
	background-color: #f00;
	border-radius: 50%;
	height: 5px;
	position: absolute;
	top: 2px;
	left: 9px;
	width: 5px;
}

// ** Categories
//========================================================================================
.course-compact-content > .course-categories {
	max-height: 2rem;
	flex-basis: 100%;
	overflow: hidden;
}

// ** Event
//========================================================================================
.course-compact-next-event {
	font-size: large;
	color: $course-compact-next-event-color;
	position: absolute;
	top: 0;
	left: 0;
}

.course-compact-next-event-component {
	width: fit-content;
	padding: 0 $course-border-width;
	background-color: $blue;
	color: $white;
	font-weight: bolder;
	margin-bottom: $course-border-width;

	&.event {
		background-color: $green;
	}
}

// ** Roles
//========================================================================================
.course-compact-roles {
	display: flex;
	flex-flow: column-reverse wrap-reverse;
}

.course-compact-role {
	flex-basis: 50%;
	padding: 5.5px 7px;
	font-size: large;
	text-align: center;
}

.course-compact-role-needed {
	background-color: $role-needed-bg;
	color: $role-needed-color;
}

.course-compact-role-occupied {
	$background-color: $blue;

	background-color: $background-color;
	color: $green;
}

.course-compact-role-occupied-by-user {
	background-color: $blue;
	color: $user-bg;
}

// ** Grouplist
//========================================================================================
.course-groups {
	position: absolute;
	top: 38px;
	right: 0;
	font-weight: bolder;

	display: flex;
	flex-direction: column;

	.group-tag {
		font-size: large;
		margin-bottom: $course-border-width
	}
}

.course-compact > .course-groups {
	@include td-pos(right, $course-border-width);
	bottom: $course-border-width;
}

.course-compact-members {
	font-size: large;
	position: absolute;
	padding: 2px 7px;
	top: 0;
	right: 0;
	background-color: white;
}

.has-upcoming-events .course-compact-members {
	color: white;
	background-color: $blue;
}
